Create a conversation comment
POST
/v1/conversations/{convID}/commentsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
convIDstringrequiredConversation ID
Request body
requiredapplication/jsoncontentstringrequiredmentionsConversationCommentMention[] | nullShow propertiesHide properties
Array of
ConversationCommentMentionuser_idstringrequireduser_namestringrequiredResponses
200OK
contentstringrequiredconversation_idstringrequiredcreated_atstringrequiredcreated_bystringrequiredcreated_by_namestringrequiredidstringrequiredmentionsConversationCommentMention[] | nullrequiredShow propertiesHide properties
Array of
ConversationCommentMentionuser_idstringrequireduser_namestringrequiredorganization_idstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/conversations/string/comments" \
-H "Content-Type: application/json" \
-d '{
"content": "string",
"mentions": [
{
"user_id": "string",
"user_name": "string"
}
]
}'const response = await fetch("/v1/conversations/string/comments", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"content": "string",
"mentions": [
{
"user_id": "string",
"user_name": "string"
}
]
})
});import requests
response = requests.post(
"/v1/conversations/string/comments",
headers={
"Content-Type": "application/json"
},
json={
"content": "string",
"mentions": [
{
"user_id": "string",
"user_name": "string"
}
]
},
)Response
{
"content": "string",
"conversation_id": "string",
"created_at": "string",
"created_by": "string",
"created_by_name": "string",
"id": "string",
"mentions": [
{
"user_id": "string",
"user_name": "string"
}
],
"organization_id": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}